Skip to main content
GET
Retrieve a payment

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Path Parameters

paymentOrder
string
required

Payment id.

Response

The payment.

id
string<uuid>
reference_id
string
to
string
status
enum<string>
Available options:
pending,
processing,
partially_shipped,
shipped,
completed,
canceled
status_label
string
payment_status
enum<string>
Available options:
pending,
captured,
failed,
partially_refunded,
refunded
payment_status_label
string
payment_method
enum<string>
Available options:
payment_gateway,
upi_intent_link,
payment_link
gateway
string | null
payment_configuration
string | null
currency
string
Example:

"INR"

total_amount
integer

Paise.

amount_paid
integer

Paise.

amount_refunded
integer

Paise.

paid_with
string | null

How the contact paid, e.g. upi.

goods_type
string
order
object

The items and totals as sent to WhatsApp.

transactions
object[]
refunds
object[]
last_error
string | null
message_id
string<uuid> | null
phone_number_id
string | null
metadata
object | null
expires_at
string<date-time> | null
paid_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>